Subject: Re: Commodore and XOR patent problem
From: [email-masked] (Christian Stieber)
Date: 28 Apr 94 13:13:25 GMT
Newsgroups: comp.sys.amiga.misc,comp.sys.amiga.hardware

Anthony J Moringello ([email-masked]) wrote:
: > assuming you are all correct about the patent on the xor system of cursor 
: > movement. Then my question is , Cant commodore develop and alternative way  of 
: > moving that cursor?
: 	I am sure they could, bu the other ay would be to save what is 
: under the cursor, draw the new image.  Then when the cursor is moved, 
: replace the old data, and restart the cycle again.
: 	With XOR, you simply draw the cursor.  Period.  This is a trick 
: any 12 year old programmer should be able to come up with...I did.  How 
: CadTrak ever got a patent for that I'll never know.  
: 	Commodore nor anyone else (oops can I use NOR in that way? :-) )
: should have to come up with another solution to such an intuitive solution.

Let me "quote" Richard M. Stallmann, author of GNU-Emacs and GNU CC (well,
it's not the exact wording... I just remember what he said):
"If you are a new software company, you need 2 programmers and about 10
lawyers, just to be able to make sure you don't violate any patents. You
basically have to check *every single line of code* for possible patent
violations, because even the most obvious solutions might be patented."

Christian